
QGIS Application - Bug report #11478

MYSQL Features Attributes can not selected correctly

2014-10-23 03:19 AM - Gerd Dreier

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19748

Description

I have several MySQL Features Layers in my Project. If I select a Feature with the Info Button, Qgis show the correctly Featureinformation

in the Objectwindow but not in the "Feature Attribute Dialog". Qgis shows always the first Dataset in the Dialog. The same Problem

happens, if I selectet more then one attributes and opend the Table and shows only selectet Features. Qgis shows exactly the count of

selected Datastes but not right one. Is there any Soloution?

History

#1 - 2014-10-23 03:32 AM - Gerd Dreier

OGR data provider (compiled against GDAL/OGR library version 1.11.0, running against GDAL/OGR library version 1.11.1)

#2 - 2014-10-31 07:54 AM - Gerd Dreier

- Status changed from Open to Closed

I have found the solution:

The table needs a Primary Key and Auto Incrementing.
